ADD_METADATA(1)

NAME
add_metadata - Script to add sample and/or observation metadata to BIOM-formatted files.

SYNOPSIS
Detailed usage examples can be found here: http://biom-format.org/documentation/adding_metadata.html

DESCRIPTION
Script to add sample and/or observation metadata to BIOM-formatted files.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

    Required Options:

-i INPUT_FP, --input_fp=INPUT_FP
    the input BIOM filepath

-o OUTPUT_FP, --output_fp=OUTPUT_FP
    the output BIOM filepath

    Optional Options:

-m SAMPLE_MAPPING_FP, --sample_mapping_fp=SAMPLE_MAPPING_FP
    The sample mapping filepath (will add sample metadata to biom file, if provided) [default: none]

--observation_mapping_fp=OBSERVATION_MAPPING_FP
    The observation mapping filepath (will add observation metadata to biom file, if provided) [default: none]

--sc_separated=SC_SEPARATED
    comma-separated list of the metadata fields to split on semi-colons. this is useful for hierarchical data such as taxonomy or functional category [default: none]

--int_fields=INT_FIELDS
    comma-separated list of the metadata fields to cast to integers. this is useful for integer data such as "DaysSinceStart" [default: none]

--float_fields=FLOAT_FIELDS
    comma-separated list of the metadata fields to cast to floating point numbers. this is useful for real number data such as "pH" [default: none]

--observation_header=OBSERVATION_HEADER
    comma-separated list of the observation metadata field names. this is useful if a header line is not provided with the metadata, if you want to rename the fields, or if you want to include only the first n fields where n is the number of entries provided here [default: use header from observation_mapping_fp]

--sample_header=SAMPLE_HEADER
    comma-separated list of the sample metadata field names. this is useful if a header line is not provided with the metadata, if you want to rename the fields, or if you want to include only the first n fields where n is the number of entries provided here [default: use header from sample_mapping_fp]